# THE Quick Reference

# Version 3.3RC4

## Command-line invocation

the [-h?nmrsbq] [-p profile] [-a prof_arg] [-l line_num] [-c col_num]

Where:

-h or -? -n -m -r -s -b -q -k[fmt] -l line_num -c column_num -p profile -a prof_arg -w width -u disp_width dir file [...] | Display usage information and version. Do not execute a profile file. Force display into mono, ignoring colour support. Run THE in read-only mode. A debugging aid for Unix versions. Turns off signal trapping. run in batch mode. run quietly in batch mode allow Soft Label Key display specify line number to make current specify column number to make current The name of the profile file to use. If not specified, the file ".\PROFILE.THE" (under OS/2, DOS and Win95/NT) or "$HOME/.therc" (under UNIX), will be used, unless overridden by the environment variable "THE_PROFILE_FILE". Used to pass a string to the profile file as argument. Only works with Rexx macros. Length of longest line THE can handle (default 512) Run as binary editor with specified display width. Will display a directory of the specified dir. Specifications of file(s) to edit. If multiple files are specified, each will be put in a separate file in the ring. The last file specified will be displayed. If no files are specified, the current directory will be displayed. Issuing [SOS EDIT] on a file spec will edit that file. [SOS EDIT] on a subdir will display that directory.

Option flags are case-sensitive.

## Minimum Abbreviations

In the following segments, the capitalised portion of a command is the minimum abbreviation for the command.

## Commands

Add [n]
add blank line
Default: 1
ALERT /prompt/ [EDITfield [/val/]] [TITLE /title/] [OK|OKCANCEL|YESNO|YESNOCANCEL] [DEFBUTTON n]
display a user configurable dialog box with notification
ALL [rtarget]
select and display restricted set of lines
BAckward [n|*|HALF] [Lines]
scroll backward by number of screens or lines
Default: 1
Bottom
move to the bottom of the file
CANcel
quit from all unaltered files in the ring
CAppend [text]
append text after column pointer
CCancel
qquit from all files in the ring
CDelete [column target]
delete text starting at column pointer
CFirst
move column pointer to beginning of zone
Change [/string1/string2/ [target] [n] [m]]
change one string to another
Default: 1 1 1
CInsert text
insert text starting at the column pointer
CLAst
move the column pointer to end of zone
CLIPBOARD COPY|CUT|PASTE|CLEAR
manipulate system clipboard
CLocate [column target]
move the column pointer
CMATCH
find matching bracket character
CMSG [text]
display text on command line
COMMAND command [options]
execute a command without translation
COMPress [target]
reduce spaces to tabs
CONTROLChar
allow control characters to be entered
COPY target1 target2
COPY BLOCK [RESET]
copies text from one position to another
COVerlay text
overlay text starting at the column pointer
CReplace text
replace text starting at the column pointer
CURsor Column [Priority priority]
CURsor Screen UP|DOWN|LEFT|RIGHT [Priority priority]
CURsor Screen row [col] [Priority priority]
CURsor [Escreen] UP|DOWN [Priority priority]
CURsor [Escreen|Kedit] LEFT|RIGHT [Priority priority]
CURsor [Escreen] row [col] [Priority priority]
CURsor CUA UP|DOWN|LEFT|RIGHT [Priority priority]
CURsor CMdline [n] [Priority priority]
CURsor HOME [SAVE] [Priority priority]
CURsor File line [col] [Priority priority]
CURsor GOTO line col [Priority priority]
CURsor Mouse [Priority priority]
CURsor Prefix [Priority priority]
move cursor to specified position
DEFine key-name [REXX] [command [args] [[#command [args]...]]]
DEFine mouse-key-definition IN window [REXX] [command [args] [[#command [args]...]]]
assign one or many commands to a key or mouse event
DELete [target]
delete lines from a file
Default: 1
DIALOG /prompt/ [EDITfield [/val/]] [TITLE /title/] [OK|OKCANCEL|YESNO|YESNOCANCEL] [DEFBUTTON n]
display a user configurable dialog box
DIRectory [file specification]
list the specified directory as an editable file
DOS [command]
execute an operating system command
DOSNowait command
execute an operating system command - no prompt
DOSQuiet command
execute an operating system command quietly
Down [relative target]
move forward in the file a number of lines
Default: 1
DUPlicate [n [target|BLOCK]]
duplicate lines
Edit [file]
edit another file or switch to next file
EDITV GET|PUT|GETF|PUTF var1 [var2 ...]
EDITV SET|SETF var1 value1 [var2 value2 ...]
EDITV SETL|SETLF|SETFL var1 value1
EDITV LIST|LISTF [var1 ...]
set and retrieve persistent macro variables
EMSG [message]
display message
ENTER [CUA]
execute a command
EXPand [target]
expand tab characters to spaces
EXTract /item/[...]
obtain various internal information about THE
FFile [filename]
force a FILE of the current file to disk
Default: With no parameters, the current file is written.
FILE [filename]
write the current file to disk and remove from ring
Default: With no parameters, the current file is written.
FILLbox [c]
fill the marked block with a character
Find [string]
locate forwards the line which begins with the supplied string
FINDUp [string]
locate backwards the line which begins with the supplied string
FOrward [n|*|HALF] [Lines]
scroll forward by number of screens or lines
Default: 1
FUp [string]
locate backwards the line which begins with the supplied string
GET [filename] [fromline] [numlines]
GET CLIP: [STREAM|BOX|LINE]
insert into file the contents of specified file
HELP
edit help file for THE
HIT key
simulate hitting of the named key
Input [string]
insert the command line contents into the file
Join [ALigned] [Column|CURSOR]
join a line with the line following
Kedit [file]
edit another file or switch to next file
LEft [n|HALF|FULL]
scroll the screen to the left
[Locate] target [command]
search for a target
LOWercase [target]
change uppercase characters to lowercase
LS [file specification]
list the specified directory as an editable file
MACRO [?] filename [arguments ...]
execute a macro command file
MARK Box [line1 col1 line2 col2]
MARK Line [line1 line2]
MARK Stream [line1 col1 line2 col2]
MARK Column [col1 col2]
MARK Word [line1 col1]
MARK CUA [LEFT|RIGHT|UP|DOWN|START|END|FOrward|BAckward|TOP|Bottom|MOUSE]
mark a portion of text
MODify set-command
display current SET command for alteration
MOVE target1 target2
MOVE BLOCK [RESET]
move a portion of text
MSG [message]
display message on error line
Next [relative target]
move forward in the file a number of lines
Default: 1
NEXTWindow
switch focus of editing session to another file
NFind [string]
locate forwards the line which does NOT begin with the supplied string
NFINDUp [string]
locate backwards the line which does NOT begin with the supplied string
NFUp [string]
locate backwards the line which does NOT begin with the supplied string
NOMSG command [arguments]
execute a command suppressing any messages
NOP
no operation command
OS [command]
execute an operating system command
OSNowait command
execute an operating system command - no prompt
OSQuiet command
execute an operating system command quietly
OSRedir filename command [arguments ...]
execute an operating system command and capture output
OVERLAYBox
overlay marked block on current cursor position
POPUP [MOUSE|TEXT|CENTER|CENTRE|BELOW|ABOVE] [INITIAL n] [ESCAPE keyname] [KEYS keyname,keyname,...] /item1[/item2/...]
display popup menu
PREServe
save various editor settings
PREVWindow
switch focus of editing session to another file
PRint [target] [n]
PRint LINE [text]
PRint STRING [text]
PRint FORMfeed
PRint CLOSE
send text to default printer or print spooler
PUT [target] [filename]
write part of a file to another
PUTD [target] [filename]
write part of a file to another and delete
QQuit
exit from the current file without saving changes
Query item
display various option settings
QUIT
exit from the current file if no changes made
READV Cmdline [initial text]
READV KEY
read keystrokes and pass to macro
RECORD stop_key filename
records all keystrokes into a macro file
RECover [n|*]
recover changed or deleted lines
REDIT
re-edit the current file
REDRAW
redraw the current screen
REFRESH
refresh the contents of the current screen
REPEat [target]
repeat the last command
Replace [text]
replace the current line with supplied text
RESet ALL|Block|Prefix|THIGHlight
cancel the marked block or prefix commands or both
REStore
restore various editor settings
REXX rexx instructions
execute Rexx instructions
RGTLEFT [n]
scroll the screen to the left or right
RIght [n|HALF|FULL]
scroll the screen to the right
SAVE [filename]
save changes to current file
SCHange /string1/string2/ [target] [n] [m]
selectively change strings
Default: 1 1 1
SEArch string target
locate a string
SET set_command [set_command parameter(s) ...]
execute various set commands
SHift Left|Right [n] [target]
move text left or right
SHOWkey [ALL]
display current key value and command assignation
SORT target [[sort field 1] [...] [sort field 1000]]
sort selected lines in a file
SOS sos_command [sos_command ...]
execute various sos commands
SPlit [ALigned] [Column|CURSOR]
split a line into two lines
spltjoin
split/join two lines
SSave [filename]
force SAVE to specified file
STATus [filename]
display current settings of various variables
SUSPend
suspend THE and return to operating system
TABFILE [+|-]
edit the file under the file tab or shift FILETABS view
TAG [More|Less] [rtarget|Focus]
displays lines matching target in different colour
TEXT text
simulate keyboard entry of characters
THE [filename]
edit another file or switch to next file
TOASCII [target]
convert the target from EBCDIC to ASCII
TOP
move to the top of the file
Up [relative target]
move backward in the file a number of lines
Default: 1
UPPercase [target]
change lowercase characters to uppercase
Xedit [file]
edit another file or switch to next file
?[+|?...]
retrieve - return the next/prior command on the command line
=
re-execute the last command issued on the command line
! [command]
execute an operating system command
&[command]
execute and re-display command

## SET commands

[SET] ALT [n] [m]
change alteration counts
Default: OFF
[SET] ARBchar ON|OFF [char1] [char2]
set arbitrary character(s) for targets
Default: Off $ ?
[SET] AUTOCOLOR mask parser [MAGIC]
specifies which parser to use for syntax highlighting
Default: See AUTOCOLOR
[SET] AUTOCOLOUR mask parser [MAGIC]
specifies which parser to use for syntax highlighting
Default: See AUTOCOLOR
[SET] AUtosave n|OFF
set autosave period
Default: OFF
[SET] AUTOSCroll n|OFF|Half
set rate of automatic horizontal scrolling
Default: HALF
[SET] BACKup OFF|TEMP|KEEP|ON|INPLACE [suffix]
indicate if a backup copy of the file is to be kept
Default: KEEP
[SET] BEEP ON|OFF
turn on or off the audible alarm when displaying errors
Default: OFF
[SET] BOUNDMARK OFF|Zone|TRunc|MARgins|TABs|Verify
set bounds marker display
Default: Zone
[SET] CASE Mixed|Lower|Upper [Respect|Ignore] [Respect|Ignore] [Respect|Ignore] [Mixed|Lower|Upper] [Mixed|Lower|Upper]
set case sensitivity parameters
Default: Mixed Ignore Respect Respect
[SET] CLEARErrorkey *|keyname
specify which key clears the message line
Default: *
[SET] CLEARScreen ON|OFF
indicate if the screen is to be cleared on exit
Default: OFF
[SET] CLOCK ON|OFF
turn on or off display of time on status line
Default: ON
[SET] CMDArrows Retrieve|Tab
sets the behaviour of the up and down arrow keys
Default: RETRIEVE
[SET] CMDline ON|OFF|Top|Bottom
sets the position of the command line.
Default: BOTTOM
[SET] COLOR area [modifier[...]] [foreground] [ON] [background]
[SET] COLOR area [modifier[...]] ON|OFF
[SET] COLOUR color red blue green
set colors for display
Default: Depends on compatibility mode setting and monitor type.
[SET] COLOUR area [modifier[...]] [foreground] [on background]
[SET] COLOUR area [modifier[...]] ON|OFF
[SET] COLOUR colour red blue green
set colours for display
Default: Depends on compatibility mode setting and monitor type.
[SET] COLORING ON|OFF [AUTO|parser]
enable or disable syntax highlighting
Default: ON AUTO
[SET] COLOURING ON|OFF [AUTO|parser]
enable or disable syntax highlighting
Default: ON AUTO
[SET] COMPat The|Xedit|Kedit|KEDITW|Ispf|= [The|Xedit|Kedit|KEDITW|Ispf|=] [The|Xedit|Kedit|KEDITW|Ispf|=]
set compatibility mode
Default: THE THE THE
[SET] CTLchar OFF
[SET] CTLchar char Escape | OFF
[SET] CTLchar char Protect|Noprotect [modifier[...]] fore [ON back]
define control character attributes
Default: OFF
[SET] CURLine [ON] M[+n|-n] | [+|-]n
set position of current line on screen
Default: M
[SET] CURSORSTay ON|OFF
set on or off the behaviour of the cursor on a scroll
Default: ON
[SET] DEFSORT OFF|DIRectory|Size|Date|Time|Name [Ascending|Descending]
specify the order in which files appear in DIR.DIR
Default: NAME ASCENDING
[SET] DIRInclude *
[SET] DIRInclude [Normal] [Readonly] [System] [Hidden] [Directory]
set the file mask for directory command
Default: *
[SET] DISPlay n [m|*]
specify which level of lines to display
Default: 0 0
[SET] ECOLOR char [modifier[...]] [foreground] [on background]
[SET] ECOLOR char [modifier[...]] ON|OFF
set colors for syntax highlighting
Default: See ECOLOR
[SET] ECOLOUR char [modifier[...]] [foreground] [on background]
[SET] ECOLOUR char [modifier[...]] ON|OFF
set colours for syntax highlighting
Default: See ECOLOR
[SET] EOLout CRLF|LF|CR|NONE
set end of line terminating character(s)
Default: LF - UNIX
Default: CRLF - DOS/OS2/WIN32
Default: NONE - if THE started with -u option
[SET] EQUIVChar char
set the equivalence character
Default: =
[SET] ERROROUTput ON|OFF
indicate whether THE error messages are echoed to screen
Default: OFF
[SET] ETMODE ON|OFF [character list]
indicate if extended display mode is possible
Default: ON - DOS/OS2/WIN32
Default: ON 32-255 - X11
Default: OFF - UNIX/AMIGA/QNX
[SET] FExt ext
[SET] FType ext
change the extension of the existing file
[SET] FILEName filename
change the filename of the file being edited
[SET] FILETABS ON|OFF
determine if and where where file tabs are positioned
[SET] FMode d[:]
change the drive letter of the existing file
[SET] FName filename
change the filename of the file being edited
[SET] FPath path
change the path of the existing file
[SET] FType ext
change the extension of the existing file
[SET] FULLFName ON|OFF
specify if complete filename to be displayed
Default: ON
[SET] HEADer section ON|OFF
turn on or off syntax highlighting headers
Default: * ON
[SET] HEX ON|OFF
set how hexadecimal strings are treated in string operands
Default: OFF
[SET] HEXDISPlay ON|OFF
turn on or off display of character under cursor
Default: ON
[SET] HEXShow ON|OFF [M[+n|-n]|[+|-]n]
turn on or off hex display of current line
Default: OFF 7
[SET] HIGHlight OFF|TAGged|ALTered|SELect n [m]
specify which lines (if any) are to be highlighted
Default: OFF
[SET] IDline ON|OFF
specify if IDLINE is displayed
Default: ON
[SET] IMPcmscp ON|OFF
set implied operating system command processing
Default: ON
[SET] IMPMACro ON|OFF
set implied macro command processing
Default: ON
[SET] IMPOS ON|OFF
set implied operating system command processing
Default: ON
[SET] INPUTMode OFF|FUll|LIne
set input mode behaviour
Default: LINE
[SET] INSERTMode ON|OFF|TOGGLE
put editor into or out of insert mode
Default: OFF
[SET] INTerface CLASSIC|CUA
set overall behaviour of THE
Default: CLASSIC
[SET] LASTOP operand text
set the contents of the lastop argument
[SET] LINEFLAG CHAnge|NOCHange NEW|NONEW TAG|NOTAG [target]
set the line characteristics of lines
Default: NOCHANGE NONEW NOTAG
[SET] LINENd ON|OFF [character]
allow/disallow multiple commands on command line
Default: OFF #
[SET] MACRO ON|OFF
indicate if macros executed before commands
Default: OFF
[SET] MACROExt [ext]
set default macro extension value
Default: the
[SET] MACROPath PATH|path[s]
set default path for macro commands
Default: Path specified by env variable THE_MACRO_PATH
[SET] MARgins left right [[+|-]indent]
set left and right margins for wordwrap
Default: 1 72 +0
[SET] MOUSE ON|OFF
turn mouse support on or off
Default: ON - if mouse supported, OFF - otherwise
[SET] MSGLine ON M[+n|-n]|[+|-]n [lines] [Overlay]
[SET] MSGLine CLEAR
set position and size of message line
Default: ON 2 5 Overlay
[SET] MSGMode ON|OFF [Short|Long]
set display of messages on or off
Default: ON
[SET] NEWLines Aligned|Left
set position of cursor after adding blank line
Default: Aligned
[SET] NONDisp character
specify character to display for non-displaying characters
Default: #
[SET] NUMber ON|OFF
turn prefix numbers on or off
Default: ON
[SET] PAGEWRAP ON|OFF
determine if page scrolling wraps at bottom/top of file
Default: ON
[SET] PARSER parser file
associates a language definition file with a parser
[SET] PENDing ON string
[SET] PENDing OFF
[SET] PENDing BLOCK string
set status of pending prefix commands
[SET] Point .name [OFF]
assign a name to the current line
[SET] POSition ON|OFF
determine if LINE/COL is displayed on idline
Default: ON
[SET] PREfix ON [Left|Right] [n [m]]
[SET] PREfix Nulls [Left|Right] [n [m]]
[SET] PREfix OFF
[SET] PREfix Synonym newname oldname
set prefix area attributes
Default: ON Left 6 0
[SET] PRINTER spooler|[OPTION options]
define printer spooler name
Default: LPT1 - DOS/OS2, lpr - Unix, default - Win32
[SET] PSCReen height [width] [RESET|PRESET]
set physical size of screen
Default: System Dependent
[SET] READONLY ON|OFF|FORCE [File]
allow/disallow changes to a file if it is readonly
Default: OFF
[SET] REGEXP syntax
specify the regular expression syntax to use
Default: EMACS
[SET] REPROFile ON|OFF
indicate if profile file to be executed for all files
Default: OFF
[SET] RESERved [AUTOSCroll] *|+|-n [colour] [text|OFF]
display a reserved line
[SET] REXXHALT Command|Function n|OFF
halt Rexx macro after specified number of events
Default: OFF
[SET] REXXOUTput File|Display n
indicate where Rexx output is to go
Default: Display 1000
[SET] SCALe ON|OFF [M[+n|-n]|[+|-]n]
set position and status of scale line on screen
Default: OFF M+1
[SET] SCOPE All|Display
sets which lines are to be excluded from commands
Default: Display
[SET] SCReen n [Horizontal|Vertical]
[SET] SCReen Size l1|* [l2|*]
[SET] SCReen Width c1|* [c2|*]
specify number of screens displayed
Default: 1
[SET] SELect [+|-]n [target]
sets the selection level for the specified lines
Default: 0
[SET] SHADOW ON|OFF
determines if shadow lines are displayed or not
Default: ON
[SET] SLK n|ON|OFF [text]
set Soft Label Key definitions
Default: ON - if support for Soft Label Keys is available
[SET] SPAN ON|OFF [Blank|Noblank [n|*]]
specify if a string target can span multiple lines (unavailable)
Default: OFF Blank 2
[SET] SPILL ON|OFF|WORD
specify if a string target can span multiple lines (unavailable)
Default: OFF
[SET] STATOPT ON option column [length [prompt] ]
[SET] STATOPT OFF option|*
set display options on statusline
Default: ON NBFILE.1 13 0 Files=
Default: ON WIDTH.1 23 0 Width=
[SET] STATUSLine Top|Bottom|Off|GUI
set position of status line
Default: Bottom
[SET] STAY ON|OFF
set condition of cursor position after CHANGE/LOCATE commands
Default: ON
[SET] SYNonym ON|OFF
[SET] SYNonym [LINEND char] newname [n] definition
define synonyms for commands (unavailable)
Default: OFF
[SET] TABKey Tab|Character Tab|Character
set characteristics of the SOS TABF command
Default: Tab Character
[SET] TABLine ON|OFF [M[+n|-n]|[+|-]n]
set position and status of tab line on screen
Default: OFF -3
[SET] TABS n1 [n2 ... n32]
[SET] TABS INCR n
[SET] TABS OFF
set tab columns or tab length
Default: INCR 8
[SET] TABSIn ON|OFF [n]
set tab processing on file input
Default: OFF 8
[SET] TABSOut ON|OFF [n]
set tab processing on file output
Default: OFF 8
[SET] TARGETSAVE ALL|NONE| STRING REGEXP ABSOLUTE RELATIVE POINT BLANK
set type(s) of targets to save for subsequent LOCATEs
Default: ALL
[SET] THIGHlight ON|OFF
specify if text highlighting is supported
Default: ON - THE/KEDIT/KEDITW OFF - XEDIT/ISPF
[SET] TIMECHECK ON|OFF
specify if time stamp checking done
Default: ON
[SET] TOFEOF ON|OFF
specify if TOF and BOF lines are displayed
Default: ON
[SET] TRAILING ON|OFF|REMOVE|SINGLE|EMPTY
specify how to treat trailing blanks on lines
Default: ON
[SET] TRunc n|*
specify the truncation column
Default: *
[SET] TYPEAhead ON|OFF
set behaviour of screen redraw
Default: OFF
[SET] UNDOING ON|OFF
turn on or off undo facility for the current file
Default: ON
[SET] UNTAA ON|OFF
specifies if "Unsigned Numerical Targets Are Absolute"
Default: OFF
[SET] Verify first [last]
set column display limits
Default: 1 *
[SET] WIDTH n
set width of maximum line that THE can edit
Default: 512
[SET] WORD NONBlank|ALPHAnum
controls what THE considers a word to be
Default: NONBlank
[SET] WORDWrap ON|OFF
set wordwrap feature on or off
Default: OFF
[SET] WRap ON|OFF
enable/disable string locates around the end of the file
Default: OFF
[SET] XTERMinal program
set X terminal to execute under X
Default: System dependent but usually one of:
[SET] Zone first [last]
set column limits for editing
Default: 1 *

## SOS commands

SOS ADDline
add blank line after focus line
SOS BLOCKEnd
move cursor to end of marked block
SOS BLOCKStart
move cursor to start of marked block
SOS BOTTOMEdge
move cursor to bottom edge of FILEAREA
SOS CUADELBAck
delete the character to the left of the cursor
SOS CUADELChar
delete character under cursor
SOS CURRent
move cursor to current line
SOS CURSORAdj
move first non-blank character to cursor
SOS CURSORSHIFT
move text to right of cursor to cursor
SOS DELBAck
delete the character to the left of the cursor
SOS DELChar
delete character under cursor
SOS DELEnd
delete to end of line
SOS DELLine
delete focus line
SOS DELWord
delete word at or right of cursor
SOS DOPREfix
execute any pending prefix commands
SOS EDIT
edit a file from directory list
SOS ENDChar
move cursor to end of focus line
SOS EXecute
move cursor to command line and execute command
SOS FIRSTCHar
move cursor to first non-blank of field
SOS FIRSTCOl
move cursor to first column of field
SOS INSTAB
shift text to next tab column
SOS LASTCOl
move cursor to last column of field
SOS LEFTEdge
move cursor to left edge of window
SOS LINEAdd
add blank line after focus line
SOS LINEDel
delete focus line
SOS MAKECURR
make focus line the current line
SOS MARGINL
move cursor to the left margin column
SOS MARGINR
move cursor to the right margin column
SOS PARINDent
move cursor to the paragraph indent column
SOS PASTECMDline
copy contents of marked block to command line
SOS PREfix
move cursor to leftmost edge of prefix area
SOS QCmnd
move cursor to command line and clear
SOS RIGHTEdge
move cursor to right edge of window
SOS SETTAB
set a tab column at the cursor position
SOS STARTENDChar
move cursor to end/start of focus line
SOS TABB
move cursor to previous tab stop
SOS TABf
move cursor to next tab stop
SOS TABFIELDB
move cursor to previous enterable field
SOS TABFIELDf
move cursor to next enterable field
SOS TABWORDB
move cursor to beginning of previous word
SOS TABWORDf
move cursor to start of next word
SOS TOPEdge
move cursor to top edge of filearea
SOS UNDO
undo changes to the current line

## Prefix commands

Prefix Command | ISPF Mode | All Others
a b i / c m d x " r o s p f > < ) ( lc uc cc mm dd xx "" rr oo >> << )) (( lcc ucc .xxxxx TABL SCALE TABS COLS | target - after line target - before line insert blank line N/A copy line move line delete line exclude line N/A repeat line overlay line show excluded lines N/A N/A shift line right shift line left shift line right zoned shift line left zoned lowercase line uppercase line copy line block move line block delete line block exclude line block N/A repeat line block overlay line block shift line block right shift line block left shift line block right zoned shift line block left zoned lowercase line block uppercase line block give name to line N/A N/A display tab line display scale line | add blank line N/A insert blank line make line current line copy line move line delete line exclude line duplicate line N/A overlay line show excluded lines target - prior to line target - following line shift line right shift line left shift line right zoned shift line left zoned lowercase line uppercase line copy line block move line block delete line block exclude line block duplicate line block N/A overlay line block shift line block right shift line block left shift line block right zoned shift line block left zoned lowercase line block uppercase line block give name to line display tab line display scale line N/A N/A

## Line Targets

Absolute target: All target: Blank target: Block target: Named line target: Relative target: String target: | An absolute line number. eg. :12 = line number 12 All lines in file the file. eg. ALL The first line containing only blank characters. eg. BLANK All lines in the marked block. eg. BLOCK A line with a name, set with [SET] POINT eg. .fred A target relative to the current line. eg. 12 = 12 lines below the current line -4 = 4 lines above the current line * = all lines below the current line -* = all lines above the current line A sequence of characters between delimiters. eg. /string/ - the first line below the current line containing "string" -/string/ - the first line above the current line containing "string"

Targets may be separated by the boolean operators '&' or '|'.
eg. /string1/ | /string2/
Targets may also be prefixed with '~' to signify boolean NOT.
eg. ~/string/

## Default Key Assignments

Command | DOS OS/2 Win32 Win31 | X11 | vt220 | xterm
? backward 1 cmatch controlchar copy block copy block reset cursor down cursor home save cursor left cursor right cursor up delete block duplicate 1 block enter file fillbox forward * forward 1 help insertmode toggle join aligned locate locate .a mark box mark line move block reset nextwindow overlaybox point .a qquit recover redraw reset block sos addline 1 sos cursoradj sos delback sos delchar sos delend sos delline 1 sos delword sos doprefix sos edit sos makecurr sos startendchar sos tabb sos tabf sos tabwordb sos tabwordf sos undo split aligned spltjoin suspend tabpre top | F6 PGUP F7 F11 A-K A-C CURD HOME CURL CURR CURU A-G A-D ENTER F3 A-F C-PGDN PGDN F1 INS A-J S-F1 C-F12 A-B A-L A-M F2 A-O C-F11 S-F3 F8 C-R A-U F4 C-A BKSP DEL C-END F9 A-W NUMENTER A-X F5 END S-TAB TAB C-CURL C-CURR ESC A-S F10 C-Z F12,PLUS,NUMPLUS C-PGUP | F6 PGUP F7 F11 C-K C-C CURD HOME CURL CURR CURU C-G C-D ENTER F3 C-F C-PGDN PGDN F1 INS C-J S-F1 C-F12 C-B C-L C-V F2 C-O C-F11 S-F3 F8 C-R C-U F4 C-A BKSP DEL C-END F9 C-W NUMENTER C-X F5 END S-TAB TAB C-CURL C-CURR ESC C-S F10 C-Z F12,PLUS C-PGUP | F6 PrevScreen F7 F11 C-K C-C DOWN F16 (Do) LEFT RIGHT UP C-G C-D C-M PF3 C-F NextScreen PF1 InsertHere C-J F17 C-B C-L C-V PF2 C-O F13 F8 C-R C-U PF4 C-A BackSpace Remove,C-H C-E F9 C-W C-P C-X F20 Select C-I F18 F19 C-Q C-S F10 C-Z Find,F12 | F6 PGUP F7 F11 C-K C-C CURD HOME CURL CURR CURU C-G C-D NUMENTER,C-M F3 C-F PGDN F1 INS C-J C-B C-L C-V F2 C-O F8 C-R C-U F4 C-A BACKSPACE DEL C-E F9 C-W C-P C-X F5 TAB C-Q C-S F10 C-Z F12

Return to Table of Contents